<!--
php파일 생성시 인코딩 방식을 utf-8로 설정해야함.(전송시 한글깨짐방지)
-->
<?php
function Curl($url, $post_data, &$header = null) {

    $ch=curl_init();
    // user credencial
    curl_setopt($ch, CURLOPT_USERPWD, "username:passwd");
    curl_setopt($ch, CURLOPT_HTTPAUTH, CURLAUTH_BASIC);
    curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
    curl_setopt($ch, CURLOPT_URL, $url);
    // post_data
    curl_setopt($ch, CURLOPT_POST, true);
    curl_setopt($ch, CURLOPT_POSTFIELDS, $post_data);
    if (!is_null($header)) {
        curl_setopt($ch, CURLOPT_HEADER, true);
    }
    curl_setopt($ch, CURLOPT_FOLLOWLOCATION, true);
    curl_setopt($ch, CURLOPT_HTTPHEADER, array('Accept: application/json', 'Content-Type: application/json','charset=utf-8"'));
    curl_setopt($ch, CURLOPT_VERBOSE, true);

    curl_setopt($ch, CURLOPT_SSL_VERIFYHOST, false);
    curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, false);
    $response = curl_exec($ch);


    $body = null;
    // error
    if (!$response) {
        $body = curl_error($ch);
        // HostNotFound, No route to Host, etc  Network related error
        $http_status = -1;

    } else {
        //parsing http status code
        $http_status = curl_getinfo($ch, CURLINFO_HTTP_CODE);
        if (!is_null($header)) {
            $header_size = curl_getinfo($ch, CURLINFO_HEADER_SIZE);
            $header = substr($response, 0, $header_size);
            $body = substr($response, $header_size);
        } else {
            $body = $response;
        }
    }
    curl_close($ch);
    return $body;
}


/*

	세금계산서 결과 조회 API

	hometaxbill_id					회사코드		
	spass							패스워드						홈택스빌 코드관리 > 사업장정보 > 프로그램 비밀번호
	apikey							인증키							홈택스빌 기초코드관리 > 사업장정보 > 연동API-KEY
	homemunseo_id					고유번호						회사에서 정의한 세금계산서 고유번호(중복불가)	사업자관리번호

*/

$url = "http://115.68.1.5:8084/homtax/getpkey";

$json = '{"hometaxbill_id": "cmj0633", 
		  "spass"		  :	"Mem12345"	,
		  "apikey"		  : "SSADFVSDFSDE",       
		  "homemunseo_id" : "33033333323"    
		  }	';
$ret = Curl($url, $json);

//리턴받을때 한글깨짐 방지를 위한 한글인코딩
echo iconv("UTF-8", "EUC-KR", $ret);

/*
	결과 리턴값($ret)
	
	code			:	결과코드
	msg				:	결과메세지
	msg2			:	결과상세 메세지
	hometaxbill_id	:	회사코드
	homemunseo_id	:	업체고유번호
	homemunseo_id	:	승인번호
	declarestatus	:	세금계산서 발행상태 
	
		세금계산서 발행상태  : 접수(01/10), 전송중(03/04/05/06), 발급완료(08), 발급실패(09,99)
	
		01  : 수기작성					사용회사정보 수동일 경우 전송하기 전 상태(전송 미처리시 국세청 전송불가)
		10	: 전송대기					국세청 전송 대기 상태(10분 이내 자동전송 처리 예정)
		03	: 국세청 전송처리중			국세청으로 세금계산서 데이터 전송처리 진행중인 상태
		04	: 국세청 전송완료(결과수신대기)	국세청으로 세금계산서 데이터를 전송하고 결과 수신 대기인 상태
		05	: 홈택스빌 처리중 Error		국세청 전송하기 전 작업처리중에 에러가 발생한 상태(재전송 처리예정)
		06	: 국세청 전송중 Error		국세청 데이터 전송중 에러가 발생한 상태(재전송 처리예정)
		08	: 발급완료					국세청으로부터 정상적으로 승인처리된 상태
		09	: 발급실패					국세청으로부터 전자세금계산서 발급 승인이 나지 않는 상태
		99	: 인증서 검증 Error			인증서 유효기간이 지나거나 폐기 처리된 인증서로 인증서에 문제가 발생한 상태
	
*/

?>